Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
Lucene::TranslationResult< TYPE > Class Template Reference

Utility class that contains utf8 and unicode translations. More...

`#include <UnicodeUtils.h>`

Inheritance diagram for Lucene::TranslationResult< TYPE >:

## Public Member Functions

| TranslationResult ()
void | setLength (int32_t length)
void | copyText (const TranslationResult &other)
void | copyText (boost::shared_ptr< TranslationResult< TYPE > > other)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Data Fields

Array< TYPE > | result
int32_t | length

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

template<typename TYPE>
class Lucene::TranslationResult< TYPE >

Utility class that contains utf8 and unicode translations.

## Constructor & Destructor Documentation

## ◆ TranslationResult()

template<typename TYPE>

Lucene::TranslationResult< TYPE >::TranslationResult | ( |  | ) |

inline

References length, Lucene::Array< TYPE >::newInstance(), and result.

Referenced by copyText(), and copyText().

## Member Function Documentation

## ◆ copyText() [1/2]

template<typename TYPE>

void Lucene::TranslationResult< TYPE >::copyText | ( | boost::shared_ptr< TranslationResult< TYPE > > | other | ) |

inline

References copyText(), and TranslationResult().

## ◆ copyText() [2/2]

template<typename TYPE>

void Lucene::TranslationResult< TYPE >::copyText | ( | const TranslationResult< TYPE > & | other | ) |

inline

References Lucene::MiscUtils::arrayCopy(), length, result, setLength(), and TranslationResult().

Referenced by copyText().

## ◆ setLength()

template<typename TYPE>

void Lucene::TranslationResult< TYPE >::setLength | ( | int32_t | length | ) |

inline

References length, Lucene::Array< TYPE >::newInstance(), and result.

Referenced by copyText().

## Field Documentation

## ◆ length

template<typename TYPE>

int32_t Lucene::TranslationResult< TYPE >::length

Referenced by copyText(), setLength(), and TranslationResult().

## ◆ result

template<typename TYPE>

Array<TYPE> Lucene::TranslationResult< TYPE >::result

Referenced by copyText(), setLength(), and TranslationResult().

The documentation for this class was generated from the following file:

- UnicodeUtils.h

clucene.sourceforge.net